%define api_version	2.4
%define realapi		1.4
%define major		1

%define libname			%mklibname %{name} %{api_version} %{major}
%define libnamedev		%mklibname -d %{name} %{api_version}
%define libnamestaticdev	%mklibname -d -s %{name} %{api_version}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		pangomm
Summary:	C++ interface for the pango library
Version:	2.40.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(cairomm-1.0) >= 1.12.0
BuildRequires: pkgconfig(glibmm-2.4) >= 2.46.0
BuildRequires: pkgconfig(pangocairo) >= 1.38.0

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts:	%mklibname gtkmm 2.4 < 2.13.5

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%mklibname -d gtkmm 2.4 < 2.13.5

%description -n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package -n %{libnamestaticdev}
Summary:	Static libraries of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Conflicts:	%mklibname -s -d gtkmm 2.4 < 2.13.5

%description -n %{libnamestaticdev}
This package contains the static libraries of %{name}.

%package doc
Summary:	GTKmm documentation
Group:		Documentation

%description doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q 

%build
%configure2_5x --enable-static --enable-shared
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libpangomm-%{realapi}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{realapi}

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/pangomm-%{realapi}
%doc %{_datadir}/devhelp/books/*


%changelog
* Fri Sep 09 2016 luigiwalser <luigiwalser> 2.40.1-1.mga6
+ Revision: 1051183
- 2.40.1

* Mon Mar 28 2016 ovitters <ovitters> 2.40.0-1.mga6
+ Revision: 995883
- new version 2.40.0

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 29 2015 ovitters <ovitters> 2.39.1-1.mga6
+ Revision: 907231
- new version 2.39.1

* Thu Sep 24 2015 tv <tv> 2.38.1-1.mga6
+ Revision: 882978
- new release

  + fwang <fwang>
    - fix br

* Thu Sep 24 2015 tv <tv> 2.38.0-1.mga6
+ Revision: 882876
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.37.2-1.mga6
+ Revision: 872567
- new version 2.37.2

* Mon Aug 24 2015 wally <wally> 2.37.1-2.mga6
+ Revision: 868996
- rebuild for new gcc 5

* Wed Jul 22 2015 ovitters <ovitters> 2.37.1-1.mga6
+ Revision: 856181
- new version 2.37.1

* Mon Jun 22 2015 ovitters <ovitters> 2.36.0-1.mga6
+ Revision: 839674
- new version 2.36.0

* Wed Oct 15 2014 umeabot <umeabot> 2.34.0-4.mga5
+ Revision: 748797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.34.0-3.mga5
+ Revision: 683329
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.34.0-2.mga4
+ Revision: 525285
- Mageia 4 Mass Rebuild

* Wed May 29 2013 dams <dams> 2.34.0-1.mga4
+ Revision: 432905
- new version 2.34.0

* Sun Jan 13 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 362383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 shlomif <shlomif> 2.28.4-2.mga3
+ Revision: 304340
- Update to a new group per RPMGroupRevamp

* Fri Oct 28 2011 wally <wally> 2.28.4-1.mga2
+ Revision: 159119
- new version 2.28.4

* Tue Sep 27 2011 wally <wally> 2.28.3-1.mga2
+ Revision: 149419
- new version 2.28.3
- clean .spec a bit

  + fwang <fwang>
    - do not ship .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.28.2-1.mga1
+ Revision: 85615
- update to 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.26.3-3.mga1
+ Revision: 8814
- drop old/unneeded scriptlets
- imported package pangomm

